# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/TrilinosCouplings clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "TrilinosCouplings requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/TrilinosCouplings build
## ---------------------------------------------------------------------------

set(TrilinosCouplings_CXX_COMPILER "C:/msys64/clangarm64/bin/clang++.exe")

set(TrilinosCouplings_C_COMPILER "C:/msys64/clangarm64/bin/clang.exe")

set(TrilinosCouplings_Fortran_COMPILER "C:/msys64/clangarm64/bin/flang.exe")
# Deprecated!
set(TrilinosCouplings_FORTRAN_COMPILER "C:/msys64/clangarm64/bin/flang.exe") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/TrilinosCouplings build
## ---------------------------------------------------------------------------

## Give the build type
set(TrilinosCouplings_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(TrilinosCouplings_CXX_FLAGS [[ ]])

set(TrilinosCouplings_C_FLAGS [[-O2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong -Wp,-D__USE_MINGW_ANSI_STDIO=1 ]])

set(TrilinosCouplings_Fortran_FLAGS [[ ]])
# Deprecated
set(TrilinosCouplings_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(TrilinosCouplings_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(TrilinosCouplings_SHARED_LIB_RPATH_COMMAND "/clangarm64/lib")
set(TrilinosCouplings_BUILD_SHARED_LIBS "ON")

set(TrilinosCouplings_LINKER C:/msys64/clangarm64/bin/ld.lld.exe)
set(TrilinosCouplings_AR C:/msys64/clangarm64/bin/llvm-ar.exe)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(TrilinosCouplings_INSTALL_DIR "/clangarm64")

## List of package libraries
set(TrilinosCouplings_LIBRARIES TrilinosCouplings::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(TrilinosCouplings_MPI_LIBRARIES "")
set(TrilinosCouplings_MPI_LIBRARY_DIRS "")
set(TrilinosCouplings_MPI_INCLUDE_DIRS "")
set(TrilinosCouplings_MPI_EXEC "")
set(TrilinosCouplings_MPI_EXEC_MAX_NUMPROCS "")
set(TrilinosCouplings_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(TrilinosCouplings_ENABLE_Amesos OFF)
set(TrilinosCouplings_ENABLE_AztecOO OFF)
set(TrilinosCouplings_ENABLE_Belos ON)
set(TrilinosCouplings_ENABLE_EpetraExt OFF)
set(TrilinosCouplings_ENABLE_Ifpack OFF)
set(TrilinosCouplings_ENABLE_Isorropia OFF)
set(TrilinosCouplings_ENABLE_ML OFF)
set(TrilinosCouplings_ENABLE_MueLu OFF)
set(TrilinosCouplings_ENABLE_NOX ON)
set(TrilinosCouplings_ENABLE_Stokhos ON)
set(TrilinosCouplings_ENABLE_Zoltan OFF)

# Exported cache variables
set(TrilinosCouplings_ENABLE_Newp_swahili "OFF")
set(HAVE_NEWP_SWAHILI "OFF")
set(TrilinosCouplings_ENABLE_ML_Nox "OFF")
set(HAVE_ML_NOX "OFF")

# Include configuration of dependent packages
if (NOT TARGET Belos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Belos/BelosConfig.cmake")
endif()
if (NOT TARGET NOX::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../NOX/NOXConfig.cmake")
endif()
if (NOT TARGET Stokhos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Stokhos/StokhosConfig.cmake")
endif()

# Import TrilinosCouplings targets
include("${CMAKE_CURRENT_LIST_DIR}/TrilinosCouplingsTargets.cmake")

# Standard TriBITS-compliant external package variables
set(TrilinosCouplings_IS_TRIBITS_COMPLIANT TRUE)
set(TrilinosCouplings_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(TrilinosCouplings_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(TrilinosCouplings_EXPORTED_PACKAGE_LIBS_NAMES "trilinoscouplings")

foreach(libname IN LISTS TrilinosCouplings_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE TrilinosCouplings::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'TrilinosCouplings::${libname}', or better yet,"
      " 'TrilinosCouplings::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'TrilinosCouplings'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'TrilinosCouplings_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
