# @HEADER
# *****************************************************************************
#            TriBITS: Tribal Build, Integrate, and Test System
#
# Copyright 2013-2016 NTESS and the TriBITS contributors.
# SPDX-License-Identifier: BSD-3-Clause
# *****************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/TrilinosInstallTests clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "TrilinosInstallTests requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/TrilinosInstallTests build
## ---------------------------------------------------------------------------

set(TrilinosInstallTests_CXX_COMPILER "C:/msys64/clangarm64/bin/clang++.exe")

set(TrilinosInstallTests_C_COMPILER "C:/msys64/clangarm64/bin/clang.exe")

set(TrilinosInstallTests_Fortran_COMPILER "C:/msys64/clangarm64/bin/flang.exe")
# Deprecated!
set(TrilinosInstallTests_FORTRAN_COMPILER "C:/msys64/clangarm64/bin/flang.exe") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/TrilinosInstallTests build
## ---------------------------------------------------------------------------

## Give the build type
set(TrilinosInstallTests_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(TrilinosInstallTests_CXX_FLAGS [[ ]])

set(TrilinosInstallTests_C_FLAGS [[-O2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong -Wp,-D__USE_MINGW_ANSI_STDIO=1 ]])

set(TrilinosInstallTests_Fortran_FLAGS [[ ]])
# Deprecated
set(TrilinosInstallTests_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(TrilinosInstallTests_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(TrilinosInstallTests_SHARED_LIB_RPATH_COMMAND "/clangarm64/lib")
set(TrilinosInstallTests_BUILD_SHARED_LIBS "ON")

set(TrilinosInstallTests_LINKER C:/msys64/clangarm64/bin/ld.lld.exe)
set(TrilinosInstallTests_AR C:/msys64/clangarm64/bin/llvm-ar.exe)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(TrilinosInstallTests_INSTALL_DIR "/clangarm64")

## List of package libraries
set(TrilinosInstallTests_LIBRARIES TrilinosInstallTests::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(TrilinosInstallTests_MPI_LIBRARIES "")
set(TrilinosInstallTests_MPI_LIBRARY_DIRS "")
set(TrilinosInstallTests_MPI_INCLUDE_DIRS "")
set(TrilinosInstallTests_MPI_EXEC "")
set(TrilinosInstallTests_MPI_EXEC_MAX_NUMPROCS "")
set(TrilinosInstallTests_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies

# Exported cache variables

# Include configuration of dependent packages

# Import TrilinosInstallTests targets
include("${CMAKE_CURRENT_LIST_DIR}/TrilinosInstallTestsTargets.cmake")

# Standard TriBITS-compliant external package variables
set(TrilinosInstallTests_IS_TRIBITS_COMPLIANT TRUE)
set(TrilinosInstallTests_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(TrilinosInstallTests_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(TrilinosInstallTests_EXPORTED_PACKAGE_LIBS_NAMES "")

foreach(libname IN LISTS TrilinosInstallTests_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE TrilinosInstallTests::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'TrilinosInstallTests::${libname}', or better yet,"
      " 'TrilinosInstallTests::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'TrilinosInstallTests'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'TrilinosInstallTests_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
